modifyVar Class Reference

## Public Member Functions

void | testModifyVar (const char *filename, bool valBufFirst)

## Detailed Description

Definition at line 22 of file ModifyVar.h.

## Member Function Documentation

## testModifyVar()

void modifyVar::testModifyVar | ( | const char * | filename,
|  | bool | valBufFirst
| ) |  |

Definition at line 125 of file ModifyVar.cpp.

{
myFilename = filename;
myValBufFirst = valBufFirst;
testModifyReadNameOnlySameLength();
testModifyCigarOnlySameLength();
testModifySequenceOnlySameLength();
testModifyQualityOnlySameLength();
testRemoveQuality();
testShortenQuality();
testLengthenQuality();
testShortenReadName();
testShortenCigar();
testShortenSequence();
testLengthenReadName();
testLengthenCigar();
testLengthenSequence();
testRemoveCigar();
testRemoveSequence();
testLengthenSequenceAndQuality();
}

The documentation for this class was generated from the following files:

- bam/test/ModifyVar.h
- bam/test/ModifyVar.cpp